Package org.apache.sling.distribution.journal.impl.subscriber

# Class PreConditionTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.distribution.journal.impl.subscriber.PreConditionTimeoutException

All Implemented Interfaces:
  `Serializable`

public class PreConditionTimeoutException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PreConditionTimeoutException(String msg)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PreConditionTimeoutException

public PreConditionTimeoutException(String msg)